import { Routes } from '@angular/router';
import { NavMobileTabs } from './nav-mobile-tabs/nav-mobile-tabs';

export const MOBILE_ROUTES: Routes = [
  {
    path: '', 
    component: NavMobileTabs,
    children: [
      {
        path: 'home',
        loadComponent: () => import('./page-home/page-home').then(m => m.PageHome) 
      },
      {
        path: 'cart',
        loadComponent: () => import('./page-cart/page-cart').then(m => m.PageCart)
      },
      {
        path: 'mine',
        loadComponent: () => import('./page-mine/page-mine').then(m => m.PageMine)
      },
      {
        path: '',
        redirectTo: 'home',
        pathMatch: 'full'
      }
    ]
  }
];